Package cds.healpix

# Interface HashComputerWithAux

All Superinterfaces:
  `HierarchyItem`

public interface HashComputerWithAux extends HierarchyItem
Compute an HEALPix hash value additionaly taking a 3rd dimension (the auxiliary axis).

Author:
  F.-X. Pineau

## Method Summary

Modifier and Type
Method
Description
`int`
`depth()`
Returns the depth of the hash computed by `hash(double, double, double)` method.
`long`
`hash(double lonRad, double latRad, double auxValue)`
Returns the HEALPix hash value of the given coordinate at this object depth.

## Method Details

### depth

int depth()
Returns the depth of the hash computed by `hash(double, double, double)` method.

Specified by:
  `depth` in interface `HierarchyItem`
Returns:
  the depth of the hash computed by `hash(double, double, double)` method.

### hash

long hash(double lonRad, double latRad, double auxValue)
Returns the HEALPix hash value of the given coordinate at this object depth. WARNING: depending on the implementation, this method may or may not be thread-safe.

Parameters:
  `lonRad` - longitude in radians, must support reasonably large positive and negative values producing accurate results with a naive range reduction like modulo 2*pi (i.e. without having to resort on Cody-Waite or Payne Hanek range reduction).
  `latRad` - latitude in [-pi/2, pi/2] radians
  `auxValue` - value on the 3rd (the auxiliary) axis.
Returns:
  the hash value associated to the given coordinate, at this object depth.